import { HcApi } from '../../request/index'

export default {
    async page(form) {
        return HcApi({
            url: '/api/blade-system/post/list',
            method: 'get',
            params: form,
        }, false)
    },
    //菜单详情
    async detail(id) {
        return HcApi({
            url: '/api/blade-system/post/detail',
            method: 'get',
            params: {
                id,
            },
        }, false)
    },
    async submit(form) {
        return HcApi({
            url: '/api/blade-system/post/submit',
            method: 'post',
            data: form,
        }, false)
    },
    async del(ids) {
        return HcApi({
            url: '/api/blade-system/post/remove',
            method: 'post',
            params: {
                ids,
            },
        }, false)
    },
    async getPostList(tenantId) {
        return HcApi({
            url: '/api/blade-system/post/select',
            method: 'get',
            params: {
                tenantId,
            },
        }, false)
    },
}
